#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 concurrent-output
version:              1.10.12
visibility:           public
id:                   concurrent-output-1.10.12-46I2GvZupoz16qcbiD2U8N
key:                  concurrent-output-1.10.12-46I2GvZupoz16qcbiD2U8N
license:              BSD-2-Clause
copyright:            2015-2020 Joey Hess, 2009 Joachim Breitner
maintainer:           Joey Hess <id@joeyh.name>
author:               Joey Hess, Joachim Breitner
stability:            Stable
synopsis:             Ungarble output from several threads or commands
description:
    Lets multiple threads and external processes concurrently output to the
    console, without it getting all garbled up.

    Built on top of that is a way of defining multiple output regions,
    which are automatically laid out on the screen and can be individually
    updated by concurrent threads. Can be used for progress displays etc.

    <<https://joeyh.name/code/concurrent-output/demo2.gif>>

category:             User Interfaces
abi:                  c430f58e8a87316c381dd818cedbdbc7
exposed:              True
exposed-modules:
    System.Console.Concurrent System.Console.Concurrent.Internal
    System.Console.Regions System.Process.Concurrent

hidden-modules:       Utility.Monad Utility.Exception
import-dirs:          /usr/lib/ghc-8.10.4/site-local/concurrent-output-1.10.12
library-dirs:         /usr/lib/ghc-8.10.4/site-local/concurrent-output-1.10.12
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-8.10.4/concurrent-output-1.10.12

hs-libraries:         HSconcurrent-output-1.10.12-46I2GvZupoz16qcbiD2U8N
depends:
    ansi-terminal-0.11-B33URfqMvdcAXWIdsUyVZE
    async-2.2.3-bRJqoep3gj749cy8sss28 base-4.14.1.0 directory-1.3.6.0
    exceptions-0.10.4 process-1.6.9.0 stm-2.5.0.0
    terminal-size-0.3.2.1-HihNy0RThZk4O1UkYpAxTd text-1.2.4.1
    transformers-0.5.6.2 unix-2.7.2.2

haddock-interfaces:
    /usr/share/doc/haskell-concurrent-output/html/concurrent-output.haddock

haddock-html:         /usr/share/doc/haskell-concurrent-output/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

